
Ext.define('POSync.view.LoginPanel', {
	alias:  'loginPanel',
	extend: 'Ext.panel.Panel',
        title: 'Configuration',
                items: {
                    xtype: 'form',
                    itemId: 'config',
                    bodyPadding: 10,
                    defaults: {
                        anchor: '100%',
                        xtype: 'textfield',
                        allowBlank: false
                    },
                    items: [{
                        name: 'url',
                        inputType: 'url',
                        // vtype: 'url',
			regexp: '/(((^https?)|(^ftp)):\/\/((([\-\w]+\.)+\w{2,3}(\/[%\-\w]+(\.\w{2,})?)*(([\w\-\.\?\\\/+@&#;`~=%!]*)(\.\w{2,})?)*)|(localhost|LOCALHOST))\/?)/',
                        fieldLabel: 'Server URL',
                        emptyText: 'Enter here the URL of ]project-open[ server',
                    }, {
                        name: 'email',
                        inputType: 'email',
                        vtype: 'email',
                        fieldLabel: 'Email',
                        emptyText: 'Enter here the email to use as login name',
                    }, {
                        name: 'password',
                        inputType: 'password',
                        fieldLabel: 'Password',
                        emptyText: 'Enter here your login password',
                    }, {
                        name: 'topdir',
                        xtype: 'dirfield',
                        fieldLabel: 'Local directory',
                        /* FIXME: without an emptyText renders to height zero */
                        emptyText: 'Click the arrow to select the local directory to sync',
                    }]
                }
});
