-- /package/intranet-forum/sql/intranet-rest-fs-openacs-drop.sql
--
-- Copyright (c) 2003-2006 ]project-open[
--
-- All rights reserved. Please check
-- http://www.project-open.com/license/ for details.
--
-- @author frank.bergmann@project-open.com


-- Drop plugins and menus for the module
--
select  im_component_plugin__del_module('intranet-rest-fs-openacs');
select  im_menu__del_module('intranet-rest-fs-openacs');


-- Uninstall crypto extension
drop extension pgcrypto;


-- Drop functions


drop function im_file__name(integer);
drop function im_file__new (
        integer, varchar, timestamptz,
        integer, varchar, integer,
        varchar, integer,
        integer, integer
);
drop function im_file__delete(integer);
drop function im_file_version__name(integer);
drop function im_file_version__new (
	integer, varchar, timestamptz,
	integer, varchar, integer,
	varchar, integer,
	integer, integer
);
drop function im_file_version__delete(integer);



drop table im_files;
drop table im_file_versionss;

delete from acs_objects where object_type = 'im_file';
delete from acs_objects where object_type = 'im_file_version';

delete from acs_object_type_tables where object_type = 'im_file';
delete from acs_object_type_tables where object_type = 'im_file_version';

delete from im_biz_object_urls where object_type = 'im_file';
delete from im_biz_object_urls where object_type = 'im_file_version';

SELECT acs_object_type__drop_type ('im_file', 't');
SELECT acs_object_type__drop_type ('im_file_version', 't');

drop view im_file_status;
drop view im_file_type;
drop view im_file_version_status;
drop view im_file_version_type;

delete from im_categories where category_type = 'Intranet File Status';
delete from im_categories where category_type = 'Intranet File Type';
delete from im_categories where category_type = 'Intranet File Version Status';
delete from im_categories where category_type = 'Intranet File Version Type';

